
package com.tankalfa;



import android.graphics.*;
import com.osnova.Sprite; 
import com.osnova.KeyPad;

/**
 *
 * @author BIVERUS 21.02.19
* +новый спрайт
 * p.s 25.01.24
*/

public class BMV {
 
  
  int[][] m; 
  Sprite c,k;  
   Map m1;
   BuildMap bm;
   int wh;
  public int s1=10,wi=0,he=0;
   int mx=0,my=400,sx=400,sy=200,v=0;
  String name,ob;
  
  int clear=0;
  Paint p;
  public String s="/assets/map/";
    
 
    
 public BMV(Bitmap fon,int wh,Bitmap kur,String n)  { //  /map/1.map
   this.wh=wh;
    
  
   p=new Paint();
   p.setTextSize(20);
 
  m1=new Map(s+n);  
   
  m=m1.m;
  
   c=new Sprite(fon,wh,wh); 
   
   k =new Sprite(kur,20,20);  
    
    
    
    
 }   
    
 public void paint(Canvas g) {
 //g.setFont(f);
 // this.v=v;
 ob=" ";
  /*
  p.setColor(Color.WHITE);
 g.drawText("4-сохранить карту", 10, 70,p);
  g.drawText("2-нулевой кадр", 10, 100,p);
  g.drawText("8-следующий кадр", 10, 130,p);
  g.drawText("9-предыдущий кадр", 10, 160,p);
 g.drawText("w,z,a,s-большое управление", 10, 190,p);
 g.drawText("up,left,right,down-малое управление", 10, 220,p);
  g.drawText("СДЕЛАННО ДЛЯ ПРОЕКТА_МИР 3_АВТОР BIVERUS", 10, 250,p);
   */
  
  for(int i=0;i<30;i++){
for(int j=0;j<30;j++){
       


 

if(m[i][j]==0 ){c.setFrame(0); }   
 
if(m[i][j]==1 ){c.setFrame(1); }   
 
 if(m[i][j]==2 ){c.setFrame(2);}

 if(m[i][j]==3 ){c.setFrame(3);}

 if(m[i][j]==4 ){c.setFrame(4);}  
   
 
 
 
  if(m[i][j]==5 ){c.setFrame(5);}

 if(m[i][j]==6 ){c.setFrame(6);}   

 if(m[i][j]==7 ){c.setFrame(7);}  
 
 if(m[i][j]==8 ){c.setFrame(8); }   
 
 if(m[i][j]==9 ){c.setFrame(9); }   
 
 
 
 
 if(m[i][j]==10 ){c.setFrame(10);}

 if(m[i][j]==11 ){c.setFrame(11);}

 if(m[i][j]==12 ){c.setFrame(12);}  
   
  if(m[i][j]==13 ){c.setFrame(13);}

 if(m[i][j]==14 ){c.setFrame(14);}   
 
 
 
 if(m[i][j]==15 ){c.setFrame(15);}
 
 if(m[i][j]==16 ){c.setFrame(16); }   
 
if(m[i][j]==17 ){c.setFrame(17); }   
 
 if(m[i][j]==18 ){c.setFrame(18);}

 if(m[i][j]==19 ){c.setFrame(19);}
//////


 if(m[i][j]==20 ){c.setFrame(20);}  
   
  if(m[i][j]==21 ){c.setFrame(21);}

 if(m[i][j]==22 ){c.setFrame(22);}   

 if(m[i][j]==23 ){c.setFrame(23);}  

 if(m[i][j]==24 ){c.setFrame(24); }   
 
 if(m[i][j]==25 ){continue; }  
 
 
 
 c.setPosition(i*wh-mx, j*wh-my);
 c.paint(g);
 
if(clear==1){if(m[i][j]>=0 & m[i][j]<=9){m[i][j]=25;}}
if(clear==2){if(m[i][j]==0){m[i][j]=25;}} 

if( v>=1){if(k.collides(c)){m[i][j]=0;} }   
 
if( v>=10){if(k.collides(c)){m[i][j]=1;} }   
 
 if( v>=20){if(k.collides(c)){m[i][j]=2;}}

 if( v>=30){if(k.collides(c)){m[i][j]=3;}}

 if( v>=40 ){if(k.collides(c)){m[i][j]=4;}}  
   
  if( v>=50){if(k.collides(c)){m[i][j]=5;}}

 if( v>=60){if(k.collides(c)){m[i][j]=6;}}   

 if(v>=70){if(k.collides(c)){m[i][j]=7;}}  

 if( v>=80){if(k.collides(c)){m[i][j]=8;}}  

if( v>=90){if(k.collides(c)){m[i][j]=9;} }   
 
 if( v>=100){if(k.collides(c)){m[i][j]=10;}}

 if( v>=110){if(k.collides(c)){m[i][j]=11;}}

 if( v>=120 ){if(k.collides(c)){m[i][j]=12;}}  
   
  if( v>=130){if(k.collides(c)){m[i][j]=13;}}

 if( v>=140){if(k.collides(c)){m[i][j]=14;}}   

 if( v>=150){if(k.collides(c)){m[i][j]=15;}}
 
 
 if( v>=160){if(k.collides(c)){m[i][j]=16;} }   
 
if( v>=170){if(k.collides(c)){m[i][j]=17;} }   
 
 if( v>=180){if(k.collides(c)){m[i][j]=18;}}

 if( v>=190){if(k.collides(c)){m[i][j]=19;}}

 if( v>=200 ){if(k.collides(c)){m[i][j]=20;}}  
   
  if( v>=210){if(k.collides(c)){m[i][j]=21;}}

 if( v>=220){if(k.collides(c)){m[i][j]=22;}}   

 if(v>=230){if(k.collides(c)){m[i][j]=23;}}  

 if( v>=240){if(k.collides(c)){m[i][j]=24;}}  
if( v>=250){if(k.collides(c)){m[i][j]=25;}} 

}}
k.setPosition(sx, sy);
 k.paint(g);
 
  
   p.setColor(Color.WHITE);
   g.drawText("Кадр  v="+v, 10, 40,p);
  
    g.drawText(ob,sx,sy,p);
    g.drawText("4",570,279,p);
    
    g.drawText("5",730,279,p);
    g.drawText("6build",570,359,p);
    g.drawText("7ka=0",650,359,p);  
    g.drawText("8clear1",730,359,p);
  
  g.drawText("9exit",570,440,p);
  g.drawText("10clear2",650,440,p);
 }  
    
 public void ss(int s1,int s2) {sx+=s1;sy+=s2;}     
    
 public void mm(int s1,int s2) {mx+=s1;my+=s2;}

 

 
public void Key(KeyPad k,String name){
    //name-ПУТЬ И ИМЯ ФАЙЛА.map
   //путь /storage/emulated/0/file.map
    
     if(k.k[0].getK()){mm(0, -s1);}
     if(k.k[1].getK()){mm(0, s1);}
    if(k.k[2].getK()){mm(-s1, 0);}
    if(k.k[3].getK()){mm(s1, 0);}
  
     if(k.k[4].getK() & v<250){v++; }
     if(k.k[5].getK() & v>=2){v--; }
     
     
     //if( ){v=1;}
     //if(v==1 ){v=320;}
     if(k.k[6].getK()){BuildMap b=new BuildMap(name,m);ob="SAVE BuildMap !!!";}
     if(k.k[7].getK()){v=0; }
     if(k.k[8].getK()){clear=1;}
    if(k.k[9].getK()){System.exit(0);}
    if(k.k[10].getK()){clear=2;}
 }


  
 
}
